
canvas {
  image-rendering: -webkit-optimize-contrast; /* Safari         */
  -ms-interpolation-mode: nearest-neighbor;   /* IE8+           */
  image-rendering: -moz-crisp-edges;          /* Firefox        */
  image-rendering: -o-crisp-edges;            /* Opera          */
  image-rendering: optimizeSpeed;             /* Legal fallback */
  image-rendering: crisp-edges;               /* CSS4 Proposed  */
  image-rendering: pixelated;                 /* CSS4 Proposed  */
  display: inline-block;
  height: 100%;
  width: 100%;
}

div#statusbar {
  background-color: rgba(29, 29, 29, 0.86);
  box-sizing: border-box;
  font-family: monospace;
  text-align: right;
  font-size: 12px;
  position: fixed;
  color: #ffe3ab;
  height: 22px;
  padding: 5px;
  bottom: 0px;
}

div#pause_menu {
  background-color: rgba(29, 29, 29, 0.86);
  box-sizing: border-box;
  font-family: monospace;
  overflow-x: hidden;
  line-height: 1.35;
  overflow-y: auto;
  font-size: 1.5vh;
  min-width: 308px;
  max-height: 90vh;
  color: #ffe3ab;
  height: auto;
  padding: 1em;
  width: auto;
}

* {
  -webkit-tap-highlight-color: transparent;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0;
  margin: 0;
}

div#overlay {
  background-color: rgba(29, 29, 29, 0.2);
  position: fixed;
  z-index: -1;
}

.no-overflow {
  overflow-x: hidden !important;
}

div#frame::-webkit-scrollbar {
  display: none;
}

body {
  background-color: #ebebeb;
  overflow: hidden;
}

div#frame {
  -ms-overflow-style: none;
  scrollbar-width: none;
  scroll-behavior: auto;
  white-space: nowrap;
  overflow-y: hidden;
  overflow-x: auto;
  z-index: 1;
}

[hidden] {
  display: none !important;
}

.center {
  justify-content: center;
  align-items: center;
  display: flex;
}

.hide-cursor {
  cursor: none !important;
}

.loading {
  cursor: wait !important;
}

.show {
  z-index: 2 !important;
}

html, body {
  scroll-behavior: auto;
  height: 100%;
  width: 100%;
}

.comment, a {
  text-decoration: none;
  color: #7f7f7f;
}

.grabbing {
  cursor: grabbing;
}

.pointer {
  cursor: pointer;
}

.let {
  color: #b23226;
}

.brackets {
  color: #fff02b;
}

.operator {
  color: #ffa5ea;
}

.var {
  color: #64b0ff;
}

.string {
  color: #9cfcf0;
}

.grab {
  cursor: grab;
}

div {
  height: 100%;
  width: 100%;
}